slackbuilds_ponce/libraries/libcap/libcap.SlackBuild
2010-05-11 14:56:16 +02:00

70 lines
1.8 KiB
Bash

#!/bin/sh
# Slackware build script for libcap
# Written by Menno Duursma
# Modified by the SlackBuilds.org project
PRGNAM=libcap
VERSION=1.10
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=`pwd`
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
# Bail out if we have a problem
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION
chown -R root:root .
find . -type d | xargs chmod 0755
find . -type f | xargs chmod go-w
CFLAGS="$SLKCFLAGS" make || exit 1
make install FAKEROOT=$PKG || exit 1
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
if [ -d $PKG/usr/man ]; then
gzip -9 $PKG/usr/man/man?/*
fi
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a README CHANGELOG License pgp.keys.asc doc/capability.notes \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
# Dont overwrite the header, as it may have been edited by the user; instead,
# leave the new copy for the admin to consider
mv $PKG/usr/include/sys/capability.h $PKG/usr/include/sys/capability.h.new
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
# Clean up the extra stuff:
if [ "$1" = "--cleanup" ]; then
rm -rf $TMP/$PRGNAM-$VERSION
rm -rf $PKG
fi